GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "3df94d40-ef45-4ea5-99aa-4c0c09d8a622",
"private_locations": [
{
"private_location_id": "650018c3-1006-4a91-8821-b8b0c1eff194",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "416a7d4f-6342-4023-9091-faf42eea1ab0"
},
{
"private_location_id": "882dd9da-93ef-454d-aa26-78cb379de9d4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b5f884f8-fc0b-4252-bc9b-8ae33a6f05ce"
},
{
"private_location_id": "ec8ddb5b-45ad-41cc-9dbd-15050f9d67a9",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "e68f9691-dd51-4210-9e90-057ce753f873"
}
]
},
{
"access_group": "61d5e897-45aa-49b5-a2e7-c7fc50d00dc2",
"private_locations": [
{
"private_location_id": "882dd9da-93ef-454d-aa26-78cb379de9d4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b5f884f8-fc0b-4252-bc9b-8ae33a6f05ce"
},
{
"private_location_id": "882dd9da-93ef-454d-aa26-78cb379de9d4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b5f884f8-fc0b-4252-bc9b-8ae33a6f05ce"
},
{
"private_location_id": "882dd9da-93ef-454d-aa26-78cb379de9d4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b5f884f8-fc0b-4252-bc9b-8ae33a6f05ce"
}
]
},
{
"access_group": "a58ffaa6-d9f4-40da-990f-e1d2e3071ce2",
"private_locations": [
{
"private_location_id": "ec8ddb5b-45ad-41cc-9dbd-15050f9d67a9",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "e68f9691-dd51-4210-9e90-057ce753f873"
},
{
"private_location_id": "882dd9da-93ef-454d-aa26-78cb379de9d4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "b5f884f8-fc0b-4252-bc9b-8ae33a6f05ce"
},
{
"private_location_id": "650018c3-1006-4a91-8821-b8b0c1eff194",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "416a7d4f-6342-4023-9091-faf42eea1ab0"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |